This project has moved. For the latest updates, please go here.

installation package could not be open

Aug 14, 2012 at 1:48 PM

anyone else encountering the issue where 1.5beta msi could not be installed?